Bug 264001 - Muon crashes on selection of installed package linux-headers-2.6.35-25-generic
Summary: Muon crashes on selection of installed package linux-headers-2.6.35-25-generic
Status: RESOLVED FIXED
Alias: None
Product: muon
Classification: Unclassified
Component: muon (show other bugs)
Version: 1.1.0
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords:
: 264962 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-22 19:36 UTC by Me
Modified: 2011-01-31 15:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.1.1, 1.1.65


Attachments
Crash report from Crash Reporting Assistant (7.60 KB, text/plain)
2011-01-22 19:36 UTC, Me
Details
Backtrace (7.36 KB, application/octet-stream)
2011-01-29 00:51 UTC, Karsten
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Me 2011-01-22 19:36:26 UTC
Created attachment 56331 [details]
Crash report from Crash Reporting Assistant

Version:           1.1.0 (using KDE 4.5.5) 
OS:                Linux

Muon crashes when clicking on linux-headers-2.6.35-25-generic


Reproducible: Always

Steps to Reproduce:
Typed search string: linux-headers
Selected By Status: Installed
In the displayed list of matches, clicked on linux-headers-2.6.35-25-generic
Muon crashes. This is repeatable.


Actual Results:  
Muon crashes.

Expected Results:  
Muon would display the information about the package.
Comment 1 Me 2011-01-22 19:44:26 UTC
It isn't just the specified package that causes Muon to crash - other linux-headers packages (but no all) will crash Muon when clicked on, and without filtering by Status: Installed.
Comment 2 Jonathan Thomas 2011-01-22 19:46:46 UTC
Could you install qapt-dbg and post the new backtrace please?
Comment 3 Jonathan Thomas 2011-01-22 20:53:06 UTC
Git commit 94b7bdebbea8420f3481f9999c69ffaffe60596b by Jonathan Thomas
Pushed by jmthomas into branch master

If for some reason packages in main do not have the "Supported" control field, catch this any return rather than blindly assuming the data to be there and crashing.

Also add a safeguard against malformed /etc/lsb-release files to prevent crashes if /etc/lsb-release happens to be malformed

BUG:264001
FIXED-IN:1.1.1

M  +8    -0    src/package.cpp     

http://commits.kde.org/d5234754/94b7bdebbea8420f3481f9999c69ffaffe60596b
Comment 4 Jonathan Thomas 2011-01-22 20:55:57 UTC
You don't have to install qapt-dbg now. Fortunately the QString assert had line number info and I found that it was crashing calling QString::at. And since I only called that function once, it was pretty easy to find where the crash was happening. :)
Comment 5 Jonathan Thomas 2011-01-22 20:58:15 UTC
Git commit a9f733a1eaf2a38de8720f1aec558a50e31069fc by Jonathan Thomas
Pushed by jmthomas into branch 1.1

If for some reason packages in main do not have the "Supported" control field, catch this any return rather than blindly assuming the data to be there and crashing.

Also add a safeguard against malformed /etc/lsb-release files to prevent crashes if /etc/lsb-release happens to be malformed

BUG:264001
FIXED-IN:1.1.1

M  +8    -0    src/package.cpp     

http://commits.kde.org/d5234754/a9f733a1eaf2a38de8720f1aec558a50e31069fc
Comment 6 Karsten 2011-01-29 00:51:56 UTC
Created attachment 56595 [details]
Backtrace
Comment 7 Karsten 2011-01-29 00:52:44 UTC
I don't understand the last few comments [because of my english ;-) and I can't programming], but I want to tell you, that I have the same problem.

Always, if I select a package with the name "linux-image-..." or "linux-headers-..." -> Muon crashed.

I'm using KDE 4.6.0 on Kubuntu 10.10 64bit.
Comment 8 Jonathan Thomas 2011-01-31 15:26:21 UTC
*** Bug 264962 has been marked as a duplicate of this bug. ***